<section class="offer-dedicated-body py-4 bg-white">
  <div class="container">
    <div class="row">
      <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="breadcrumb-item text-gray">
            <a href="/home" style="color: #7987a1">Home</a>
          </li>
          <li class="breadcrumb-item text-gray">
            <a href="/deals" style="color: #7987a1">Deals</a>
          </li>
          <li class="breadcrumb-item active" aria-current="page">
            {{_DataService._Deal.Title}}
          </li>
        </ol>
      </nav>
      <div class="col-xl-7 col-sm-12">
        <!-- skeleton-loader -->
        <div
          class="border-raduis overflow-hidden bg-white mb-4 border"
          *ngIf="_DealProcessing"
        >
          <div class="offer-dedicated-body-left" style="min-height: 318px">
            <ngx-skeleton-loader
              count="1"
              [theme]="{'width': '100%', 'height': '318px', 'border-radius': '8px'}"
            >
            </ngx-skeleton-loader>
          </div>
          <div class="my-4 px-2">
            <ngx-skeleton-loader
              count="4"
              [theme]="{'width': '144px', 'margin': '0 4px', 'height': '117px', 'border-radius': '6px'}"
            >
            </ngx-skeleton-loader>
          </div>
        </div>
        <!-- end of skeleton-loader -->
        <div
          class="border-raduis overflow-hidden bg-white mb-4 border"
          *ngIf="!_DealProcessing"
        >
          <div class="offer-dedicated-body-left" style="min-height: 318px">
            <ngb-carousel
              #dealCarousel
              [interval]="5000"
              [showNavigationArrows]="(_DataService._Deal.Gallery && _DataService._Deal.Gallery.length > 1) ? true : false"
              [showNavigationIndicators]="_DataService._Deal.Gallery && _DataService._Deal.Gallery.length > 1 ? true : false"
            >
              <ng-template
                ngbSlide
                *ngFor="let TItemS of _DataService._Deal.Gallery; let index=index;"
                id="{{'carouselSlide'+index}}"
              >
                <div class="picsum-img-wrapper">
                  <img class="homesl1" [src]="TItemS" />
                </div>
              </ng-template>
            </ngb-carousel>
          </div>
          <div
            class="my-4 px-2"
            *ngIf="_DataService._Deal.Gallery && _DataService._Deal.Gallery.length > 1"
          >
            <owl-carousel-o [options]="_OwlDeal">
              <ng-container
                *ngFor="let TItemS of _DataService._Deal.Gallery; let index = index"
              >
                <ng-template [height]="117" [width]="145" carouselSlide>
                  <img
                    [src]="TItemS"
                    style="border-radius: 6px; height: 117px !important"
                    (click)="ImageSelected(TItemS, index)"
                    class="cursor-pointer"
                  />
                </ng-template>
              </ng-container>
            </owl-carousel-o>
          </div>
        </div>
        <div class="container-fluid py-3">
          <h5>Share this amazing deal now!</h5>

          <share-buttons
            theme="modern-dark"
            [include]="['facebook', 'twitter', 'whatsapp']"
            [showIcon]="true"
            [showText]="true"
            description="Get this amazing deal now! especially cos it's a Deals site and if you don't buy now you may not find it again"
            twitterAccount="thankucash"
          >
          </share-buttons>
        </div>
      </div>
      <div class="col-xl-5 col-sm-12">
        <div
          class="bg-white border border-raduis p-4 mb-4"
          *ngIf="_DealProcessing"
        >
          <div
            class="coupon-deal-detail-main-body bg-white popular-stores-card-offer mb-3 pb-3 border-bottom w-100"
          >
            <ngx-skeleton-loader
              count="1"
              [theme]="{'width': '100%', 'height': '25px', 'margin-bottom': '0.5rem'}"
            >
            </ngx-skeleton-loader>
            <ngx-skeleton-loader
              count="1"
              [theme]="{'width': '75%', 'height': '25px', 'margin-bottom': '0.5rem'}"
            >
            </ngx-skeleton-loader
            ><br />
            <ngx-skeleton-loader
              count="1"
              [theme]="{'width': '43px', 'height': '21px', 'background-color': '#f5a62330', margin: '0'}"
            >
            </ngx-skeleton-loader>
          </div>
          <div class="mb-4 pt-3 pb-4 border-bottom">
            <span class="text-gray">
              <ngx-skeleton-loader
                count="1"
                [theme]="{'width': '45%', 'height': '35px', 'margin': '0'}"
              >
              </ngx-skeleton-loader>
              <span class="float-right text-medium">
                <ngx-skeleton-loader
                  count="1"
                  [theme]="{'width': '43px', 'height': '21px', 'background-color': '#B11A8330', margin: '0'}"
                >
                </ngx-skeleton-loader>
              </span>
            </span>
          </div>
          <div class="border-radius bg-white popular-stores-card-offer mb-4">
            <div class="align-items-center">
              <ngx-skeleton-loader
                count="1"
                [theme]="{'width': '100%', 'height': '117px', margin: '0'}"
              >
              </ngx-skeleton-loader>
            </div>
          </div>
          <ngx-skeleton-loader
            count="1"
            [theme]="{'width': '80%', 'height': '44px', margin: '0', 'background-color': '#b11a8330'}"
          >
          </ngx-skeleton-loader>
        </div>
        <div
          class="bg-white border border-raduis p-4 mb-4"
          *ngIf="!_DealProcessing"
        >
          <!-- <div class=" bg-white popular-stores-card-offer mb-3 pb-3 border-bottom">
                        <div class="media align-items-center ">
                            <a href="#">
                                <img alt="{{_DataService._Deal.MerchantName}}"
                                    [src]="_DataService._Deal.MerchantIconUrl" class="mr-3">
                            </a>
                            <div class="media-body"><a href="#">
                                </a>
                                <div class="custom-card-body"><a href="#">
                                    </a>
                                    <h6 class="mb-0"><a href="#">
                                        </a><a class="text-black" href="#">{{_DataService._Deal.MerchantName}}</a></h6>
                                    <p class="text-gray mb-1 text-limit-1"> <i class="icofont-location-pin"></i>
                                        {{_DataService._Deal.Address}}</p>
                                </div>
                                <div class="mt-1 "><span class="generator-bg border-radius text-white p-1"><i
                                            class="icofont-star "></i>
                                        0</span> </div>
                            </div>
                        </div>
                    </div> -->
          <div
            class="coupon-deal-detail-main-body bg-white popular-stores-card-offer mb-3 pb-3 border-bottom"
          >
            <h6 class="coupon-deal-detail-main-body-p font-weight-light">
              {{_DataService._Deal.Title}}
            </h6>
            <div>
              <span class="badge badge-warning"
                >{{_DataService._Deal.CategoryName}}</span
              >
            </div>
          </div>
          <div class="mb-4 pt-3 pb-4 border-bottom">
            <span class="text-gray">
              <span
                class="text-black font-weight-bold"
                style="font-size: 36px; color: #32353e; padding-right: 4px"
                ><span
                  style="font-size: 18px; padding-right: 2px"
                  [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"
                ></span
                >{{_DataService._Deal.SellingPrice}}</span
              >
              <s style="color: #7987a1; font-size: 15px"
                ><span
                  [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"
                ></span
                >{{_DataService._Deal.ActualPrice}}</s
              >
              <span class="float-right text-medium discount-per"
                >{{_HelperService.GetPercentage(_DataService._Deal.ActualPrice,_DataService._Deal.SellingPrice)}}
                % off</span
              >
            </span>
          </div>
          <!-- <h6 class="mb-4">Payment Details</h6> -->

          <!-- <div class="mb-2">
                        Original Price
                        <div class="float-right text-dark">
                            <span [innerHtml]="_HelperService._Account.Country.Symbol || '&#8358;'"></span>
                            {{_HelperService.GetAmount(_DataService._Deal.ActualPrice)}}
                        </div>
                    </div>
                    <div class="mb-2">
                        Discount
                        <div class="float-right text-dark">
                            <span [innerHtml]="_HelperService._Account.Country.Symbol || '&#8358;'"></span>
                            {{_HelperService.GetAmount(_DataService._Deal.DiscountAmount)}}
                        </div>
                    </div>
                    <div class="mb-2">
                        Amount
                        <div class="float-right text-dark">
                            <span [innerHtml]="_HelperService._Account.Country.Symbol || '&#8358;'"></span>
                            {{_HelperService.GetAmount(_DataService._Deal.SellingPrice)}}
                        </div>
                    </div>
                    <div class="mb-2 border-bottom pb-2 ">
                        Fees
                        <div class="float-right text-dark">
                            <span [innerHtml]="_HelperService._Account.Country.Symbol || '&#8358;'"></span>
                            {{_HelperService.GetAmount(_DataService._Deal.Fee) || 0}}
                        </div>
                    </div> -->
          <div class="mb-2 pb-2 mt-3 border-bottom">
            <h6 class="mb-4">Quantity</h6>
            <div class="d-flex align-items-center mb-2">
              <app-quantity-input
                [(DealQuantity)]="DealQuantity"
                Theme="input"
                [MaxLimit]="_DataService._Deal.MaximumUnitSalePerPerson"
              ></app-quantity-input>
              <span class="ml-3"
                >( {{_DataService._Deal.MaximumUnitSalePerPerson}}
                {{_DataService._Deal.DealTypeCode ==
                _HelperService.AppConfig.DealTypeCode.ProductDeal ? 'Deals' :
                'Coupons'}} per person )</span
              >
            </div>
          </div>
          <div
            *ngIf="_DataService._Deal.DealTypeCode == _HelperService.AppConfig.DealTypeCode.ProductDeal && _DataService._Deal.DeliveryTypeCode != _HelperService.AppConfig.DeliveryTypeCode.InStorePickUp"
          >
            <div class="mb-2 pb-2 mt-3 border-bottom select-delivery-option">
              <h6 class="mb-4">Select Delivery Option</h6>
              <div class="d-flex">
                <div class="custom-control custom-radio cursor-pointer mr-3">
                  <input
                    type="radio"
                    id="DeliveryType2"
                    name="DeliveryType"
                    class="custom-control-input"
                    value="Delivery"
                    [(ngModel)]="DeliveryType"
                    (change)="changeDeliveryType('Delivery')"
                  />
                  <label
                    class="custom-control-label cursor-pointer"
                    for="DeliveryType2"
                    ><i class="icofont-truck-alt mr-1"></i> Deliver</label
                  >
                </div>
                <div
                  class="custom-control custom-radio cursor-pointer"
                  *ngIf="!(_DataService._Deal.DealTypeCode == _HelperService.AppConfig.DealTypeCode.ProductDeal && _DataService._Deal.DeliveryTypeCode == _HelperService.AppConfig.DeliveryTypeCode.Delivery)"
                >
                  <input
                    type="radio"
                    id="DeliveryType1"
                    name="DeliveryType"
                    class="custom-control-input"
                    value="Pickup"
                    [(ngModel)]="DeliveryType"
                    (change)="changeDeliveryType('Pickup')"
                  />
                  <label
                    class="custom-control-label cursor-pointer"
                    for="DeliveryType1"
                    ><i class="icofont-runner-alt-1 mr-1"></i> Pickup</label
                  >
                </div>
              </div>
              <!-- <div class="my-2 delivery-method-selection d-flex">
                                <button class="delivery-btn mr-2" (click)="changeDeliveryType('Pickup')" [ngClass]="{'active': DeliveryType=='Pickup'}" [disabled]="_DataService._Deal.DealTypeCode == _HelperService.AppConfig.DealTypeCode.ProductDeal && _DataService._Deal.DeliveryTypeCode == _HelperService.AppConfig.DeliveryTypeCode.Delivery"
                                    [ngStyle]="{'opacity': (_DataService._Deal.DealTypeCode == _HelperService.AppConfig.DealTypeCode.ProductDeal && _DataService._Deal.DeliveryTypeCode == _HelperService.AppConfig.DeliveryTypeCode.Delivery) ? '0.5' : '1'}">
                                    <i class="icofont-runner-alt-1 mr-1"></i> Pick Up
                                </button>
                                <button class="delivery-btn" (click)="changeDeliveryType('Delivery')" [ngClass]="{'active': DeliveryType=='Delivery'}">
                                    <i class="icofont-truck-alt mr-1"></i> Delivery
                                </button>
                            </div> -->
            </div>
            <div *ngIf="DeliveryType == 'Delivery'">
              <div
                class="Customer_shippingAddress my-3"
                *ngIf="!_HelperService.IsActiveUser && !shippingAddressChangeMode"
              >
                <ul style="list-style: none">
                  <li
                    *ngIf="!_HelperService.IsActiveUser && !shippingAddressChangeMode"
                    class="m-3 d-flex justify-content-center"
                  >
                    <button
                      class="btn btn-light btn-outline-secondary"
                      (click)="_NgbModal.open(guestRegistrationModal, { size: 'md', modalDialogClass: 'tuc-guestRegistration-modal' })"
                    >
                      Add Your Address
                    </button>
                  </li>
                </ul>
              </div>
              <ul style="list-style: none" *ngIf="_HelperService.IsActiveUser">
                <li
                  *ngIf="fetchAddressIsProcessing"
                  class="m-3 d-flex justify-content-center flex-column"
                >
                  <label class="text-center mb-3">Fetching address...</label>
                </li>
                <li
                  *ngIf="!fetchAddressIsProcessing && shippingAddresses.length == 0"
                  class="m-3 d-flex justify-content-center flex-column"
                >
                  <label class="text-center mb-3">No address found</label>
                  <button
                    class="btn btn-light btn-outline-secondary"
                    (click)="openShippingAddressModal(shippingAddressModal)"
                  >
                    <i class="icofont-plus"></i> Add New
                  </button>
                </li>
              </ul>
              <div
                class="Customer_shippingAddress my-3"
                *ngIf="DeliveryType == 'Delivery' && !shippingAddressChangeMode && shippingAddresses.length"
              >
                <ul>
                  <li *ngFor="let addr of shippingAddresses; let index=index">
                    <div class="form-row">
                      <div class="col-8">
                        <div class="mb-3 text-gray">
                          <div
                            class="custom-control custom-radio cursor-pointer"
                          >
                            <input
                              type="radio"
                              [id]="addr.ReferenceKey"
                              name="SelectedDeliveryAddress"
                              class="custom-control-input"
                              [value]="addr.ReferenceKey"
                              [(ngModel)]="SelectedDeliveryAddress"
                              (change)="changeDeliveryAddress(false, $event)"
                            />
                            <label
                              class="custom-control-label"
                              for="{{addr.ReferenceKey}}"
                              >Address{{index+1}}</label
                            >
                          </div>
                        </div>
                      </div>
                      <div class="col-4">
                        <button
                          class="btn btn-outline-primary custom-sm_btn"
                          (click)="openShippingAddressModal(shippingAddressModal, addr)"
                        >
                          Edit
                        </button>
                      </div>
                    </div>
                    <h6 class="text-black">{{addr.Name}}</h6>
                    <p class="m-0">{{addr.AddressLine1}}</p>
                    <p class="mb-2">{{addr.AddressLine2}}</p>
                    <p class="mb-2">{{addr.ContactNumber}}</p>
                  </li>
                  <li>
                    <button
                      class="btn btn-block"
                      (click)="openShippingAddressModal(shippingAddressModal)"
                    >
                      <i class="icofont-plus"></i> Add New
                    </button>
                  </li>
                </ul>
              </div>
              <div
                class="Customer_shippingAddress my-4"
                *ngIf="shippingAddressChangeMode"
              >
                <ul>
                  <li>
                    <h6
                      class="text-black d-flex align-items-center justify-content-between"
                    >
                      <span>{{selectedAddress.Name}}</span>
                      <button
                        class="btn btn-light btn-sm custom-sm_btn"
                        (click)="resetDeliveryMode()"
                      >
                        Change Address
                      </button>
                    </h6>
                    <p class="m-0">{{selectedAddress.AddressLine1}}</p>
                    <p class="mb-2">{{selectedAddress.AddressLine2}}</p>
                    <p class="mb-2">{{selectedAddress.MobileNumber}}</p>
                  </li>
                </ul>
              </div>
              <div *ngIf="shippingAddressChangeMode && !deliveryPartnerMode">
                <ngb-progressbar
                  class="rounded"
                  height="8px"
                  type="success"
                  [value]="progress"
                >
                </ngb-progressbar>
                <div class="mb-5 border-bottom text-center pb-2">
                  Getting delivery partners
                </div>
              </div>
              <ul
                *ngIf="deliveryPartnerMode && deliveryPartner.length == 0"
                style="list-style: none"
              >
                <label class="text-center text-danger mb-3 w-100">
                  No delivery partner found for selected location.<br />
                  Select pickup store or try again later</label
                >
              </ul>
              <ng-container
                *ngIf="deliveryPartner.length"
                class="border-bottom"
              >
                <h6 class="mb-4">Select Delivery Partner</h6>
                <div
                  class="Customer_shippingAddress Customer_partner mb-4"
                  *ngIf="deliveryPartnerMode"
                >
                  <ul *ngIf="selectedDeliveryPartner == null">
                    <li
                      *ngFor="let partner of deliveryPartner; let index = index;"
                    >
                      <div
                        class="custom-control custom-radio cursor-pointer d-flex justify-content-between py-2"
                      >
                        <input
                          type="radio"
                          [id]="partner.CarrierId"
                          name="selectedDeliveryPartner"
                          class="custom-control-input"
                          [value]="partner.CarrierId"
                          [(ngModel)]="selectedDeliveryPartner"
                          (change)="changeDeliveryPartner(partner)"
                        />
                        <label
                          class="custom-control-label cursor-pointer ml-2"
                          for="{{partner.CarrierId}}"
                        >
                          <div class="d-flex">
                            <img
                              [src]="partner.IconUrl"
                              [alt]="partner.Name"
                              class="mr-3"
                            />
                            <div class="d-flex flex-column ml-2">
                              <p class="mb-0 partner_name font-weight-bold">
                                {{partner.Name}}
                              </p>
                              <p class="mb-0 partner_delivery_time">
                                {{partner.DeliveryTime}}
                              </p>
                              <h6 class="mb-2">
                                <span
                                  [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"
                                ></span
                                >{{partner.DeliveryCharge}}
                              </h6>
                            </div>
                          </div>
                        </label>
                        <!-- <div>
                                                             <button class="btn btn-light btn-sm custom-sm_btn"
                                                            (click)="changeDeliveryPartner(partner)">Select</button>
                                                    </div> -->
                      </div>
                    </li>
                  </ul>

                  <ul *ngIf="selectedDeliveryPartner !== null">
                    <li>
                      <div class="d-flex justify-content-between py-2">
                        <div class="d-flex">
                          <img
                            [src]="selectedDeliveryPartner.IconUrl"
                            [alt]="selectedDeliveryPartner.Name"
                          />
                          <div class="d-flex flex-column ml-2">
                            <p class="mb-1 font-weight-bold text-dark">
                              {{selectedDeliveryPartner.Name}}
                            </p>
                            <p class="mb-0">
                              {{selectedDeliveryPartner.DeliveryTime}}
                            </p>
                          </div>
                        </div>
                        <div>
                          <h6 class="mb-2">
                            <span
                              [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"
                            ></span
                            >{{selectedDeliveryPartner.DeliveryCharge}}
                          </h6>
                          <button
                            class="btn btn-light btn-sm custom-sm_btn"
                            (click)="selectedDeliveryPartner = null; finalCheckout = false"
                          >
                            Change
                          </button>
                        </div>
                      </div>
                    </li>
                  </ul>
                </div>
              </ng-container>
            </div>
          </div>

          <!-- <div class="mb-4 border-bottom pb-2">
                        Total Amount
                        <div class="float-right text-dark">
                            <span [innerHtml]="_HelperService._Account.Country.Symbol || '&#8358;'"></span>
                            <span *ngIf="!selectedDeliveryPartner">
                                {{_HelperService.GetAmount(this._DataService._Deal.SellingPrice)}}
                            </span>
                            <span *ngIf="selectedDeliveryPartner">
                                {{_HelperService.GetAmount(this._DataService._Deal.SellingPrice + selectedDeliveryPartner.DeliveryCharge)}}
                            </span>
                        </div>
                    </div> -->
          <div
            class="my-4"
            *ngIf="_DataService._Deal.DealTypeCode == _HelperService.AppConfig.DealTypeCode.ServiceDeal"
          >
            <div>
              <span class="dd-servicebadge">
                <i class="icofont-runner-alt-1"></i> Redeem at store
              </span>
            </div>
          </div>

          <div
            class="border-radius bg-white popular-stores-card-offer pt-2 mb-4"
          >
            <!-- *ngIf="DeliveryType == 'Pickup'" -->
            <div class="media align-items-center p-3 bg-light">
              <img
                alt="{{_DataService._Deal.MerchantName}}"
                [src]="_DataService._Deal.MerchantIconUrl"
                class="mr-3"
              />
              <div class="media-body">
                <div class="merchant-address-card-body">
                  <h6 class="mb-2">
                    <span class="text-black"
                      >{{_DataService._Deal.MerchantName}}</span
                    >
                  </h6>
                  <p class="text-gray mb-1">
                    <i class="icofont-location-pin"></i>
                    {{_DataService._Deal.Address}}
                  </p>
                </div>
              </div>
            </div>
          </div>

          <div class="d-flex justify-content-between">
            <div class="col-md-10 col-sm-9 p-0">
              <button
                class="btn btn-block btn-primary"
                *ngIf="checkInStoreCheckout() && !_HelperService.IsProcessing"
                (click)="Checkout()"
              >
                Buy Now
                <!-- <span [innerHtml]="_HelperService._Account.Country.Symbol || '&#8358;'"></span>
                                <span *ngIf="!selectedDeliveryPartner">
                                    {{_HelperService.GetAmount(this._DataService._Deal.SellingPrice)}}
                                </span>
                                <span *ngIf="selectedDeliveryPartner">
                                    {{_HelperService.GetAmount(this._DataService._Deal.SellingPrice + selectedDeliveryPartner.DeliveryCharge)}}
                                </span> -->
              </button>
              <button
                class="btn btn-block btn-primary"
                *ngIf="checkDeliveryCheckout() && !_HelperService.IsProcessing"
                (click)="Checkout()"
              >
                Buy Now
                <!-- <span [innerHtml]="_HelperService._Account.Country.Symbol || '&#8358;'"></span>
                                <span *ngIf="!selectedDeliveryPartner">
                                    {{_HelperService.GetAmount(this._DataService._Deal.SellingPrice)}}
                                </span>
                                <span *ngIf="selectedDeliveryPartner">
                                    {{_HelperService.GetAmount(this._DataService._Deal.SellingPrice + selectedDeliveryPartner.DeliveryCharge)}}
                                </span> -->
              </button>
              <button
                class="btn btn-outline-primary btn-block"
                *ngIf="_HelperService.IsProcessing"
                disabled
              >
                Please wait
              </button>
            </div>
            <div class="col-md-2 col-sm-3 wishlist-deal">
              <button
                type="button"
                class="btn btn-outline-primary text-center"
                (click)="WishlistDeal()"
                style="
                  padding: 9px 15px;
                  display: flex;
                  align-items: center;
                  justify-content: center;
                "
              >
                <span *ngIf="_DataService._Deal.IsBookmarked == false">
                  <i class="icofont-heart" style="font-size: 22px"></i>
                </span>
                <span *ngIf="_DataService._Deal.IsBookmarked == true">
                  <i
                    class="icofont-heart text-danger"
                    style="font-size: 22px"
                  ></i>
                </span>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
<section class="custom-nav bg-white border-top border-bottom shadow-sm">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <span class="restaurant-detailed-action-btn float-right"> </span>
        <ul class="nav" id="pills-tab" role="tablist">
          <li class="nav-item">
            <span
              class="nav-link"
              (click)="tabChange('details')"
              [ngClass]="activeTab === 'details' ? 'nav-link active' : 'nav-link'"
              id="pills-details-tab"
              data-toggle="pill"
              role="tab"
              aria-controls="pills-details"
              aria-selected="true"
              >Deal Details</span
            >
          </li>
          <li class="nav-item">
            <span
              class="nav-link"
              id="pills-reviews-tab"
              data-toggle="pill"
              (click)="tabChange('review')"
              [ngClass]="activeTab === 'review' ? 'nav-link active' : 'nav-link'"
              role="tab"
              aria-controls="pills-reviews"
              aria-selected="false"
              >Ratings &amp; Reviews</span
            >
          </li>
          <li class="nav-item">
            <span
              class="nav-link"
              id="pills-termscondition-tab"
              data-toggle="pill"
              (click)="tabChange('termscondition')"
              [ngClass]="activeTab === 'termscondition' ? 'nav-link active' : 'nav-link'"
              role="tab"
              aria-controls="pills-termscondition"
              aria-selected="false"
              >Terms and Condition</span
            >
          </li>
        </ul>
      </div>
    </div>
  </div>
</section>
<div
  class="tab-pane fade active show"
  id="pills-gallery"
  role="tabpanel"
  aria-labelledby="pills-details"
>
  <section class="offer-dedicated-body pt-4 pb-4 bg-light">
    <div class="container">
      <div class="row">
        <div class="col-12">
          <div *ngIf="activeTab == 'details'">
            <div class="offer-dedicated-body-left">
              <div
                id="about"
                class="bg-white shadow-sm border-raduis p-4 mb-4 overflow-auto"
              >
                <h5 class="mb-4">Description</h5>
                <div
                  [innerHtml]="_DataService._Deal.Description"
                  *ngIf="!_DealProcessing"
                ></div>
                <div *ngIf="_DealProcessing">
                  <ngx-skeleton-loader
                    count="1"
                    appearance="line"
                    [theme]="{width: '100%'}"
                  >
                  </ngx-skeleton-loader>
                  <ngx-skeleton-loader
                    count="1"
                    appearance="line"
                    [theme]="{width: '78%'}"
                  >
                  </ngx-skeleton-loader>
                  <ngx-skeleton-loader
                    count="1"
                    appearance="line"
                    [theme]="{width: '90%'}"
                  >
                  </ngx-skeleton-loader>
                </div>
              </div>
              <!-- <div id="ratings-and-reviews"
                                class="bg-white rounded shadow-sm p-4 mb-4 clearfix restaurant-detailed-star-rating">
                                <span class=" float-right">
                                    <ngx-star-rating [(ngModel)]="_DealRatingNumber" [id]="'dealratingdetails'"
                                        (change)="RatingClick(tucpostreview)">
                                    </ngx-star-rating>
                                </span>
                                <h5 class="mb-0 pt-1">Rate this Deal</h5>
                            </div> -->
              <div
                id="address"
                *ngIf=" _DataService._Deal.Locations.length > 0"
                class="bg-white shadow-sm border-raduis p-4 mb-4"
              >
                <h5 class="mb-4">Address</h5>
                <div class="address-map">
                  <div class="mapouter">
                    <div class="gmap_canvas">
                      <google-map
                        height="300px"
                        width="100%"
                        [zoom]="zoom"
                        [center]="_DataService.LocationCenter"
                        [options]="options"
                      >
                        <map-marker
                          *ngFor="let marker of _DataService._Deal.Locations"
                          [position]="{lat :marker.Latitude ,lng :marker.Longitude }"
                          [label]="marker.Name"
                          [title]="marker.Name"
                          [options]="marker.Marker.options"
                        >
                        </map-marker>
                      </google-map>
                    </div>
                  </div>
                </div>
                <owl-carousel-o [options]="_DataService._OwlOptions">
                  <ng-container
                    *ngFor="let TItem of _DataService._Deal.Locations"
                  >
                    <ng-template carouselSlide [id]="TItem.Name">
                      <div class="custom-card shadow-sm h-100 m-3">
                        <div class="p-3">
                          <div class="custom-card-body">
                            <h6 class="mb-1">
                              <a class="text-black text-limit-2"
                                >{{TItem.Name}}</a
                              >
                            </h6>
                            <p class="text-gray text-limit-1 mb-0">
                              {{TItem.Address}}
                            </p>
                          </div>
                        </div>
                      </div>
                    </ng-template>
                  </ng-container>
                </owl-carousel-o>
              </div>
            </div>
          </div>
          <div *ngIf="activeTab == 'termscondition'">
            <div id="termscondition">
              <div class="bg-white shadow-sm border-raduis p-4 mb-4">
                <h6 class="mb-4">Terms and Conditions</h6>
                <div class="conbox">
                  <div [innerHtml]="_DataService._Deal.Terms"></div>
                </div>
              </div>
            </div>
          </div>
          <div *ngIf="activeTab == 'review'">
            <!-- <div id="ratings-and-reviews"
                            class="bg-white rounded shadow-sm p-4 mb-4 clearfix restaurant-detailed-star-rating">
                            <span class=" float-right">
                                <ngx-star-rating [(ngModel)]="_DealRatingNumber" [id]="'dealrating'"
                                    (change)="RatingClick(tucpostreview)">
                                </ngx-star-rating>
                            </span>
                            <h5 class="mb-0 pt-1">Rate this Deal</h5>
                        </div> -->
            <div
              id="ratings-and-reviews"
              *ngIf="_DealsReviews.List.length == 0"
              class="bg-white rounded shadow-sm p-4 mb-4 clearfix restaurant-detailed-star-rating"
            >
              <h5 class="mb-0 pt-1">No ratings yet. Be the first to review</h5>
            </div>
            <div
              class="bg-white rounded shadow-sm p-4 mb-4 restaurant-detailed-ratings-and-reviews"
              *ngIf="_DealsReviews.List.length > 0"
            >
              <!-- <a href="#" class="btn btn-outline-primary btn-sm float-right">Top Rated</a> -->
              <h5 class="mb-1">All Ratings and Reviews</h5>
              <div *ngFor="let TItem of _DealsReviews.List">
                <div class="reviews-members pt-4 pb-4">
                  <div class="media">
                    <img
                      alt="Generic placeholder image"
                      [src]="TItem.AccountIconUrl"
                      class="mr-3 rounded-pill"
                    />
                    <div class="media-body">
                      <div class="reviews-members-header">
                        <span
                          class="star-rating float-right"
                          [innerHtml]="TItem.RatingContent"
                        >
                          <!-- <a href="#"><i class="icofont-ui-rating active"></i></a>
                                                    <a href="#"><i class="icofont-ui-rating active"></i></a>
                                                    <a href="#"><i class="icofont-ui-rating active"></i></a>
                                                    <a href="#"><i class="icofont-ui-rating active"></i></a>
                                                    <a href="#"><i class="icofont-ui-rating"></i></a> -->
                        </span>
                        <h6 class="mb-1">
                          <a
                            class="text-black"
                            [innerHtml]="TItem.AccountDisplayName"
                          ></a>
                        </h6>
                        <p class="text-gray">
                          {{ TItem.CreateDate | date: 'dd-MM-yyyy hh:mm a'}}
                        </p>
                      </div>
                      <div
                        class="reviews-members-body"
                        [innerHtml]="TItem.Review"
                      ></div>
                      <!-- <div class="reviews-members-footer">
                                                <a class="total-like" href="#"><i class="icofont-thumbs-up"></i>
                                                    856M</a> <a class="total-like" href="#"><i
                                                        class="icofont-thumbs-down"></i> 158K</a>
                                                <span class="total-like-user-main ml-2" dir="rtl">
                                                    <a data-toggle="tooltip" data-placement="top" title="" href="#"
                                                        data-original-title="John Osahan Deel"><img
                                                            alt="Generic placeholder image" src="images/user/5.png"
                                                            class="total-like-user rounded-pill"></a>
                                                    <a data-toggle="tooltip" data-placement="top" title="" href="#"
                                                        data-original-title="John Mishn"><img
                                                            alt="Generic placeholder image" src="images/user/2.png"
                                                            class="total-like-user rounded-pill"></a>
                                                    <a data-toggle="tooltip" data-placement="top" title="" href="#"
                                                        data-original-title="Askbootstrap"><img
                                                            alt="Generic placeholder image" src="images/user/3.png"
                                                            class="total-like-user rounded-pill"></a>
                                                    <a data-toggle="tooltip" data-placement="top" title="" href="#"
                                                        data-original-title="Osahan Deel"><img
                                                            alt="Generic placeholder image" src="images/user/4.png"
                                                            class="total-like-user rounded-pill"></a>
                                                </span>
                                            </div> -->
                    </div>
                  </div>
                </div>
                <hr />
              </div>
              <div
                class="search-results"
                infinite-scroll
                [infiniteScrollDistance]="scrollDistance"
                [infiniteScrollUpDistance]="scrollUpDistance"
                [infiniteScrollThrottle]="throttle"
                (scrolled)="_GetDealReviews_onScrollDown()"
              ></div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="container" *ngIf="_DealProcessing" id="deals-carousel">
      <h6 class="mb-3 ml-3">More Deals from merchant</h6>
      <owl-carousel-o [options]="_SLGen">
        <ng-container *ngFor="let TItem of [1,2,3,4]">
          <ng-template carouselSlide [id]="TItem.toString()" [width]="294">
            <div>
              <div
                class="custom-card skeleton-card shadow-sm h-100 bg-white border"
              >
                <div class="custom-card-image">
                  <div class="img-fluid item-img">
                    <ngx-skeleton-loader
                      count="1"
                      [theme]="{width: '100%', height: '220px', 'margin-bottom': '0', 'border-radius': '10px'}"
                    >
                    </ngx-skeleton-loader>
                  </div>
                </div>
                <div class="p-3 pt-4">
                  <div class="custom-card-body">
                    <h6 class="mb-3">
                      <ngx-skeleton-loader
                        count="1"
                        [theme]="{width: '100%', height: '20px', 'margin-bottom': '0'}"
                      >
                      </ngx-skeleton-loader>
                    </h6>
                    <p>
                      <ngx-skeleton-loader
                        count="1"
                        [theme]="{width: '80%', height: '15px', 'margin-bottom': '0'}"
                      >
                      </ngx-skeleton-loader>
                    </p>
                  </div>
                  <div
                    class="custom-card-footer mb-2 d-flex align-items-center"
                  >
                    <div class="mr-4 d-flex justify-content-center">
                      <ngx-skeleton-loader
                        count="1"
                        [theme]="{width: '75px', height: '35px', 'margin-bottom': '0', 'background-color':'#B11A8330'}"
                      >
                      </ngx-skeleton-loader
                      ><br />
                    </div>
                    <div class="text-black actualprice">
                      <ngx-skeleton-loader
                        count="1"
                        [theme]="{width: '100px', height: '15px', 'margin-bottom': '0'}"
                      >
                      </ngx-skeleton-loader>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </ng-container>
      </owl-carousel-o>
    </div>
    <div
      class="container"
      *ngIf="!_DealProcessing && _DataService._Deal.Deals != undefined && _DataService._Deal.Deals.length > 0"
      id="deals-carousel"
    >
      <h6 class="mb-3 ml-3">More Deals from merchant</h6>
      <!-- <owl-carousel-o [options]="_DataService._OwlOptions" (dragging)="on_carouselDrag($event.dragging)">
                <ng-container *ngFor="let TItem of _DataService._Deal.Deals">
                    <ng-template carouselSlide [id]="TItem.ReferenceKey">
                        <a (click)="navigateToRoute(['/buydeal/', TItem.ReferenceKey], TItem)" class="cursor-pointer">
                            <div class="custom-card shadow-sm h-100 m-3">
                                <span class="dealtimer" *ngIf="TItem.CountdownConfig.isTimeLessThanDay">
                                    <i class="icofont-clock-time"></i>&nbsp;<countdown
                                        [config]=" TItem.CountdownConfig"></countdown>
                                </span>

                                <div class="custom-card-image">
                                    <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                </div>
                                <div class="p-3 pt-4">
                                    <div class="custom-card-body">
                                        <h6 class="mb-3 "><a class="text-black text-limit-2">{{TItem.Title}}</a>
                                        </h6>
                                    </div>
                                    <div class="custom-card-footer mb-2">
                                        <span
                                            class="  float-right text-medium discount-per">{{_HelperService.GetPercentage(TItem.ActualPrice,TItem.SellingPrice)}}
                                            %
                                            off</span>
                                        <span class="text-black text-medium actualprice">
                                            <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                            {{TItem.SellingPrice
                                            | number: "1.0-1" || "--"}} </span>
                                        <span class="text-black sellingprice">
                                            <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                            {{TItem.ActualPrice
                                            | number: "1.0-1" || "--"}} </span>
                                    </div>
                                </div>
                            </div>
                        </a>
                    </ng-template>
                </ng-container>
            </owl-carousel-o> -->
      <owl-carousel-o
        [options]="_SLGen"
        (dragging)="on_carouselDrag($event.dragging)"
        *ngIf="!_DealProcessing && _DataService._DealsProducts"
      >
        <ng-container *ngFor="let TItem of _DataService._Deal.Deals">
          <ng-template carouselSlide [id]="TItem.ReferenceKey" [width]="294">
            <a
              (click)="navigateToRoute(['/buydeal/', TItem.Slug], TItem)"
              class="cursor-pointer"
            >
              <div
                class="custom-card shadow-sm h-100"
                [ngStyle]="{'opacity': TItem.IsSoldout ? '0.7': '1'}"
              >
                <span
                  class="dealtimer"
                  *ngIf="TItem.CountdownConfig.isTimeLessThanDay"
                >
                  <i class="icofont-clock-time"></i>&nbsp;<countdown
                    [config]=" TItem.CountdownConfig"
                  ></countdown>
                </span>
                <!-- <span class="dealtimer" *ngIf="!TItem.CountdownConfig.isTimeLessThanDay">
                                    <i class="icofont-clock-time"></i>
                                    {{TItem.CountdownConfig.timeRemaining}}
                                </span> -->
                <div class="custom-card-image">
                  <img class="img-fluid item-img" src="{{TItem.ImageUrl}}" />
                </div>
                <div class="p-3 pt-4">
                  <div class="custom-card-body">
                    <div class="Ttitle mb-2">
                      <a class="text-black text-limit-2">{{TItem.Title}}</a>
                    </div>
                  </div>
                  <div
                    class="custom-card-footer mb-2 d-flex align-items-center"
                  >
                    <div
                      class="discount-per mr-4 d-flex justify-content-center"
                    >
                      {{_HelperService.GetPercentage(TItem.ActualPrice,TItem.SellingPrice)}}
                      % off
                    </div>
                    <div class="text-black actualprice">
                      <span
                        [innerHtml]="_HelperService.AppConfig.CurrencySymbol"
                      ></span>
                      {{TItem.SellingPrice | number: "1.0-1" || "--"}}
                    </div>
                  </div>
                </div>
              </div>
            </a>
          </ng-template>
        </ng-container>
      </owl-carousel-o>
    </div>
    <div class="container" id="deals-carousel" *ngIf="_DealProcessing">
      <h6 class="mb-3 ml-3 mt-3">More Offers</h6>
      <owl-carousel-o [options]="_SLGen">
        <ng-container *ngFor="let TItem of [5,6,7,8]">
          <ng-template carouselSlide [id]="TItem.toString()" [width]="294">
            <div>
              <div
                class="custom-card skeleton-card shadow-sm h-100 bg-white border"
              >
                <div class="custom-card-image">
                  <div class="img-fluid item-img">
                    <ngx-skeleton-loader
                      count="1"
                      [theme]="{width: '100%', height: '220px', 'margin-bottom': '0', 'border-radius': '10px'}"
                    >
                    </ngx-skeleton-loader>
                  </div>
                </div>
                <div class="p-3 pt-4">
                  <div class="custom-card-body">
                    <h6 class="mb-3">
                      <ngx-skeleton-loader
                        count="1"
                        [theme]="{width: '100%', height: '20px', 'margin-bottom': '0'}"
                      >
                      </ngx-skeleton-loader>
                    </h6>
                    <p>
                      <ngx-skeleton-loader
                        count="1"
                        [theme]="{width: '80%', height: '15px', 'margin-bottom': '0'}"
                      >
                      </ngx-skeleton-loader>
                    </p>
                  </div>
                  <div
                    class="custom-card-footer mb-2 d-flex align-items-center"
                  >
                    <div class="mr-4 d-flex justify-content-center">
                      <ngx-skeleton-loader
                        count="1"
                        [theme]="{width: '75px', height: '35px', 'margin-bottom': '0', 'background-color':'#B11A8330'}"
                      >
                      </ngx-skeleton-loader
                      ><br />
                    </div>
                    <div class="text-black actualprice">
                      <ngx-skeleton-loader
                        count="1"
                        [theme]="{width: '100px', height: '15px', 'margin-bottom': '0'}"
                      >
                      </ngx-skeleton-loader>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </ng-container>
      </owl-carousel-o>
    </div>
    <div class="container" id="deals-carousel" *ngIf="!_DealProcessing">
      <h6 class="mb-3 ml-3 mt-3">More Offers</h6>

      <!-- <owl-carousel-o [options]="_DataService._OwlOptions" (dragging)="on_carouselDrag($event.dragging)">
                <ng-container *ngFor="let TItem of _DataService._Deals">
                    <ng-template carouselSlide [id]="TItem.ReferenceKey">
                        <a (click)="navigateToRoute(['/buydeal/', TItem.ReferenceKey], TItem)" class="cursor-pointer">
                            <div class="custom-card shadow-sm h-100 m-3">
                                <span class="dealtimer" *ngIf="TItem.CountdownConfig.isTimeLessThanDay">
                                    <i class="icofont-clock-time"></i>&nbsp;<countdown
                                        [config]=" TItem.CountdownConfig"></countdown>
                                </span>

                                <div class="custom-card-image">
                                    <img class="img-fluid item-img" src="{{TItem.ImageUrl}}">
                                    <div class="button-g-btn button-g-btn-up">
                                        <img class="img-fluid" src="{{TItem.MerchantIconUrl}}" style="    width: 35px;
                                        display: initial;">
                                        <span>{{ _HelperService.Truncate(TItem.MerchantName )}} </span>
                                    </div>
                                </div>
                                <div class="p-3 pt-4">
                                    <div class="custom-card-body">
                                        <h6 class="mb-3 "><a class="text-black text-limit-2">{{TItem.Title}}</a>
                                        </h6>
                                        <p class="text-gray text-limit-1"> <span class=" cityname"
                                                *ngIf="_DataService.ActiveCity == ''">{{TItem.CityName}}</span>
                                            {{TItem.Address}}
                                        </p>
                                    </div>
                                    <div class="custom-card-footer mb-2">
                                        <span
                                            class="  float-right text-medium discount-per">{{_HelperService.GetPercentage(TItem.ActualPrice,TItem.SellingPrice)}}
                                            %
                                            off</span>
                                        <span class="text-black text-medium actualprice">
                                            <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                            {{TItem.SellingPrice | number: "1.0-1" || "--"}} </span>
                                        <span class="text-black sellingprice">
                                            <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span>
                                            {{TItem.ActualPrice | number: "1.0-1" || "--"}} </span>
                                    </div>
                                </div>
                            </div>
                        </a>
                    </ng-template>
                </ng-container>
            </owl-carousel-o> -->

      <owl-carousel-o
        [options]="_SLGen"
        (dragging)="on_carouselDrag($event.dragging)"
      >
        <ng-container *ngFor="let TItem of _DataService._Deals">
          <ng-template carouselSlide [id]="TItem.ReferenceKey" [width]="294">
            <a
              (click)="navigateToRoute(['/buydeal/', TItem.Slug], TItem)"
              class="cursor-pointer"
            >
              <div
                class="custom-card shadow-sm h-100"
                [ngStyle]="{'opacity': TItem.IsSoldout ? '0.7': '1'}"
              >
                <span
                  class="dealtimer"
                  *ngIf="TItem.CountdownConfig.isTimeLessThanDay"
                >
                  <i class="icofont-clock-time"></i>&nbsp;<countdown
                    [config]=" TItem.CountdownConfig"
                  ></countdown>
                </span>

                <div class="custom-card-image">
                  <img class="img-fluid item-img" src="{{TItem.ImageUrl}}" />
                </div>
                <div class="p-3 pt-4">
                  <div class="custom-card-body">
                      <div class="mb-2 Ttitle">
                          <a class="text-black text-limit-2">{{TItem.Title}}</a>
                      </div>
                      <p class="text-limit-1">
                          <i class="fa fa-location-dot"></i>&nbsp;{{TItem?.CityAreaName}},{{TItem?.CityName}}
                      </p>
                  </div>
                  <div class="custom-card-footer mb-2 d-flex justify-content-between">
                      <div class="d-flex">
                          <div class="discount-price px-2">
                              <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.SellingPrice | number: "1.0-1" || "--"}}
                          </div>
                          <div class="actual-price px-2">
                              <span [innerHtml]="_HelperService.AppConfig.CurrencySymbol"></span> {{TItem.SellingPrice | number: "1.0-1" || "--"}}
                          </div> 
                      </div>
                      <div>
                          <button class="discount-btn btn">{{TItem.DiscountPercentage}} % off</button>
                      </div>
                  </div>
              </div>
              </div>
            </a>
          </ng-template>
        </ng-container>
      </owl-carousel-o>
    </div>
  </section>
</div>
<div style="display: none" *ngIf="paymentGateway=='paystack'">
  <button
    id="paymentbutton"
    #paymentbutton
    *ngIf="PaymentConfiguration.TotalAmount >= 1 && PaymentConfiguration.TotalAmount <= 1000000 "
    angular4-paystack
    [key]="_HelperService.AppConfig.PayStackKey"
    [email]="PaymentConfiguration.EmailAddress"
    [currency]="_DataService._CountrySelcted.CurrencyNotation"
    [amount]="(PaymentConfiguration.TotalAmount * 100)"
    [class]="'btn btn-primary'"
    [ref]="PaymentConfiguration.PaymentReference"
    (onClose)="CancelPayment()"
    (callback)="ProcessOnline_Confirm($event)"
    data-dismiss="modal"
  >
    Confirm
  </button>
</div>

<ng-template #tucpayment let-modal>
  <div class="modal-body checkout-body">
    <div>
      <div class="checkout-title">
        <span
          class="list-amount-currency"
          [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"
        ></span
        >{{(PurchaseDetails.TotalAmount) | number: "1.2-2"}}
      </div>
      <div class="checkout-subtitle">Payable Amount</div>
    </div>
    <div
      *ngIf="this._HelperService.IsActiveUser && PurchaseDetails.Balance > 0"
      (click)="UseTucWalletClick()"
      class="line-height"
      style="
        line-height: 36px;
        margin-bottom: 16px;
        padding: 8px;
        border: 1px solid #efefef;
        border-radius: 8px;
        background-color: #fbfafa;
      "
    >
      <input
        type="checkbox"
        [(ngModel)]="IsWalletBalanceUse"
        id="wallet"
        value="wallet"
        style="
          float: left;
          margin-top: 11px;
          margin-right: 8px;
          margin-left: 8px;
        "
      />
      <i
        class="las la-wallet"
        style="font-size: 24px; float: left; padding-top: 4px"
      ></i>
      <span
        style="
          color: #5f5d5d;
          font-size: 13px;
          padding-left: 8px;
          font-weight: 500;
        "
        >Use your TUC Wallet balance
      </span>
      <span>
        (
        <span
          [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"
        ></span
        >{{PurchaseDetails.Balance | number: "1.2-2"}})
      </span>
    </div>
    <h6 class="mb-4">Payment Details</h6>
    <div class="mb-2">
      Amount
      <div class="float-right text-dark">
        <span
          >{{DealQuantity}} &times; {{_DataService._Deal.SellingPrice}} =
        </span>
        <span
          [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"
        ></span>
        {{PurchaseDetails.Amount | number: "1.2-2"}}
      </div>
    </div>
    <div
      class="mb-2 border-bottom pb-2"
      *ngIf="PurchaseDetails.Fee && PurchaseDetails.Fee > 0"
    >
      Fees
      <div class="float-right text-dark">
        <span
          [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"
        ></span>
        {{PurchaseDetails.Fee | number: "1.2-2"}}
      </div>
    </div>
    <div class="mb-2 border-bottom pb-2">
      Delivery Fee
      <div class="float-right text-dark">
        <span
          [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"
        ></span>
        {{selectedDeliveryPartner?.DeliveryCharge || 0 | number: "1.2-2"}}
      </div>
    </div>
    <div class="mb-2 border-bottom pb-2">
      Total Amount
      <div class="float-right text-dark">
        <span
          [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"
        ></span>
        {{(PurchaseDetails.TotalAmount) | number: "1.2-2"}}
      </div>
    </div>
    <div class="mb-2 border-bottom pb-2" *ngIf="IsWalletBalanceUse">
      Wallet Balance Used
      <div class="float-right text-dark">
        <span
          [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"
        ></span>
        {{PaymentDetails.WalletAmount | number: "1.2-2"}}
      </div>
    </div>
    <div class="mb-2 bold border-bottom pb-2" *ngIf="IsWalletBalanceUse">
      <div>
        Payable Amount
        <div class="float-right text-dark">
          <span
            [innerHtml]="_HelperService._Account.Country.Symbol || _HelperService.AppConfig.CurrencySymbol"
          ></span>
          {{PaymentDetails.PaystackAmount}}
        </div>
      </div>
      <div *ngIf="PaymentDetails.PaystackAmount <= 0">
        <b>Wallet balance will be used for deal purchase</b>
      </div>
    </div>
    <div
      class="mb-2 border-bottom pb-2"
      *ngIf="!IsWalletBalanceUse || (IsWalletBalanceUse && PaymentDetails.PaystackAmount)"
    >
      Payment Method
      <div class="float-right text-dark">
        <div class="form-check form-check-inline">
          <input
            class="form-check-input"
            type="radio"
            name="paymentmode"
            id="paystack"
            value="paystack"
            (change)="toggle($event)"
          />
          <label class="form-check-label text-dark m-0" for="paystack">
            <img
              src="assets/images/paymentmodes/paystack.png"
              id="payimg"
              alt=""
              height="10px"
              width="20px"
            />
            &nbsp; Paystack</label
          >
        </div>
        <div class="form-check form-check-inline">
          <input
            class="form-check-input"
            type="radio"
            name="paymentmode"
            id="flutterwave"
            value="flutterwave"
            (change)="toggle($event)"
          />
          <label class="form-check-label text-dark m-0" for="flutterwave">
            <img
              src="../../../../assets/images/paymentmodes/flutterwave.webp"
              alt=""
              height="10px"
              width="24px"
            />
            Flutterwave</label
          >
        </div>
      </div>
    </div>

    <div class="text-center mb-3" *ngIf="IsWalletBalanceUse">
      <label>Enter your account pin (redeem pin)</label>
      <ng-otp-input
        #ngOtpInput
        (onInputChange)="onPinChange($event)"
        [config]="{length:4 ,isPasswordInput:true,allowNumbersOnly : true , inputClass : 'form-control-otp'}"
      >
      </ng-otp-input>
    </div>
    <div
      class="text-right pt-3 pb-3"
      *ngIf="_DataService._Deal.StatusCode== 'deal.published'"
    >
      <button
        type="button"
        class="btn btn-light mr-2"
        *ngIf="!_HelperService.IsProcessing"
        (click)="modal.close('Close click'); this.paymentGateway = undefined; this.IsWalletBalanceUse = false;"
      >
        Cancel
      </button>
      <button
        class="btn btn-primary"
        *ngIf="!_HelperService.IsProcessing"
        (click)="ValidatePin()"
      >
        Proceed Payment
      </button>
      <button
        class="btn btn-outline-primary"
        *ngIf="_HelperService.IsProcessing"
        disabled
      >
        Please wait
      </button>
    </div>
  </div>
</ng-template>

<ng-template #shippingAddressModal let-modal>
  <div class="modal-header tuc-shipping-address-modal-body border-bottom-0">
    <!-- <h4 class="modal-title" id="modal-basic-title">Shipping Address</h4> -->
    <button
      type="button"
      class="btn-close"
      aria-label="Close"
      (click)="modal.dismiss('Cross click')"
    ></button>
  </div>
  <tuc-shipping-address-form
    [modal]="modal"
    [formAction]="editForm"
    (fetchAddress)="fetchAddress($event)"
  >
  </tuc-shipping-address-form>
</ng-template>
<ng-template #guestRegistrationModal let-modal>
  <div class="modal-header tuc-guestRegistration-modal-body border-bottom-0">
    <button
      type="button"
      class="btn-close"
      aria-label="Close"
      (click)="modal.dismiss('Cross click')"
    ></button>
  </div>
  <tuc-guest-registration-form
    [modal]="modal"
    [registrationType]="DeliveryType"
    [DealDetails]="_DataService._Deal"
    [Quantity]="DealQuantity"
    (registeredUser)="registeredUser($event)"
  >
  </tuc-guest-registration-form>
</ng-template>

<ng-template #tucpostreview let-modal>
  <div class="modal-body">
    <div class="p-1 pt-4 pb-4">
      <div class="mb-3 text-center">
        <h5>Rate your Experience</h5>
      </div>
      <div class="cont text-secondary">
        <div class="stars">
          <ngx-star-rating
            [(ngModel)]="_DealRatingNumber"
            [id]="'ratingx'"
          ></ngx-star-rating>
        </div>
      </div>
      <div class="mb-4">
        <h6>Enter your Comment</h6>
        <div class="form-group">
          <textarea
            class="form-control"
            id="tauthmobile"
            maxlength="1000"
            minlength="4"
            rows="8"
            [(ngModel)]="_Cdata.Comment"
          ></textarea>
        </div>
      </div>
      <div class="">
        <button
          type="button"
          *ngIf="!_HelperService.IsProcessing"
          (click)="SaveRating(_DataService._Deal)"
          class="btn btn-primary btn-block"
        >
          Submit Review
        </button>
        <button
          type="button"
          *ngIf="_HelperService.IsProcessing"
          class="btn btn-primary btn-block"
          disabled
        >
          Please wait
        </button>
      </div>
    </div>
  </div>
</ng-template>
